int NbItems = ...;
range Items = 1..NbItems;

int Profits[Items] = ...;
int Weights[Items] = ...;
int Capacity = ...;

dvar float X[Items] in 0..1;

maximize
  sum( i in Items ) Profits[i]* X[i];
subject to {
  ctCapacity: sum( i in Items ) Weights[i]* X[i] <= Capacity;
}

main
{
	var model = thisOplModel;
	model.generate();
	var NbItems = model.dataElements.NbItems;
	
	var ofile = new IloOplOutputFile("kpdive.txt");
	
	while(1)
	{
		if ( cplex.solve() )
		{
			var x = model.X;
			ofile.writeln(x);
			var idx = -1;
			for (var i = 1; i <= NbItems; i++)
			{
				if ((x[i] > 1e-4) && (x[i] < (1.0 - 1e-4)))
				{
					idx = i;
					break;
				}
			}
			if (idx == -1) break;
			model.X[idx].UB = 0;
		}
		else break;
	}
	ofile.close();
}
