int NbItems = ...;
range Items = 1..NbItems;

int Profits[Items] = ...;
int Weights[Items] = ...;
int Capacity = ...;

dvar boolean X[Items];

maximize
  sum( i in Items ) Profits[i]* X[i];
subject to {
  ctCapacity: sum( i in Items ) Weights[i]* X[i] <= Capacity;
}

main
{
	var model = thisOplModel;
	model.generate();
	
	var minCapacity = 0;
	var maxCapacity = 0;
	for (var i = 1; i <= model.dataElements.NbItems; i++) maxCapacity += model.dataElements.Weights[i];
	
	var ofile = new IloOplOutputFile("kp.txt");
	
	for (var cap = minCapacity; cap <= maxCapacity; cap++)
	{
		model.ctCapacity.UB = cap;
		cplex.solve();
		objval = cplex.getObjValue();
		ofile.writeln("Capacity = ", cap, " Objval = ", objval);
	}
	ofile.close();
}
